Subject: Issue 30: MLDv1 vs MLDv2 text

From: [email-masked]
Date: Thu, 20 Nov 2003 10:11:58 +0200

Assigned as issue 30.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of ext
> [email-masked]
> Sent: 20 November, 2003 07:45
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: RE: Issue 29: AD REVIEW: IPv6 Node Requirements
> 
> 
> Hi Jari, Brian,
> 
> > > So, I think I answered this already in an earlier message, but let
> > > me clarify something here.  The IP stack layer really 
> does not know
> > > what kinds of multicast applications are going to be run on it.
> > > A user could arbitrarily install an SSM application just as easily
> > > as an ASM application, if the stack supports multicast at all.
> > > 
> > > With that in mind, if a stack developer knows for sure that 
> > his stack
> > > couldn't be used for a certain flavor of multicast 
> application (SSM
> > > or ASM), then he can use the current guidelines in the 
> node reqs to
> > > determine whether MLDv1 or MLDv2 should be supported.
> > > 
> > > In all other cases, I would prefer MLDv2 for flexibility reasons.
> > > 
> > > So, if I back off my answer in the last post a little, perhaps the
> > > wording for any-source should be something like "SHOULD 
> support MLDv2
> > > but MAY support MLDv1".
> > 
> > With your explanation of the stack - app issues, I think this
> > would make sense. If others agree, and suitable text can be
> > crafted, of course. Anyway, this is not a crucial issue for
> > me but I just wanted to understand the implications.
> 
> I agree.  I'll add the suggested text.
> 
> John
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------